# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="4"

DESCRIPTION="Fortune database of quotes from linux.org.ru forum"
HOMEPAGE="http://lorquotes.ru/"
SRC_URI=""

LICENSE="fairuse"
SLOT="0"
KEYWORDS="amd64"
IUSE=""

RDEPEND="games-misc/fortune-mod"
DEPEND="${RDEPEND}
	net-misc/wget"

S="${WORKDIR}"

src_prepare() {
	 wget http://lorquotes.ru/fortraw.php -O fortraw.php
	iconv --from-code=KOI8-R --to-code=UTF8 --output=lorquotes fortraw.php
}

src_compile() {
	strfile lorquotes || die
}

src_install() {
	insinto /usr/share/fortune
	doins lorquotes lorquotes.dat
}
